<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from compdiv_smithLi.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="compdiv_smithLi" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>compdiv_smithLi</refname><refpurpose>Performs complex division with a Smith method, improved by Li et al.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   z = compdiv_smithLi (x,y)
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>x :</term>
      <listitem><para> a matrix of complex doubles</para></listitem></varlistentry>
   <varlistentry><term>y :</term>
      <listitem><para> a matrix of complex doubles</para></listitem></varlistentry>
   <varlistentry><term>z :</term>
      <listitem><para> a matrix of complex doubles, the complex division result z=x/y.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
This algorithms uses Smith's method and performs additionnal up and down scaling.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
expected = 11/25 + %i * 2/25
compdiv_smithLi ( 1+2*%i , 3+4*%i )

   ]]></programlisting>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>"Design, implementation and testing of extended and mixed precision BLAS", Xiaoye S. Li, James W. Demmel, David H. Bailey, Greg Henry, Yozo Hida, Jimmy Iskandar, William Kahan, Suh Y. Kang, Anil Kapur, Michael C. Martin, Brandon J. Thompson, Teresa Tung, and Daniel J. Yoo. 2002. ACM Trans. Math. Softw. 28, 2 (June 2002), 152-205.</para>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2010 - Michael Baudin</member>
   </simplelist>
</refsection>
</refentry>
